- Qt 5.5
- Qt3D Module
- C++ Classes
- Q3DWheelEvent
- Qt 5.5.1 Reference Documentation

# Q3DWheelEvent Class

(Qt3D::Q3DWheelEvent)

The Qt3D::Q3DWheelEvent contains parameters that describe a mouse wheel event. More...

Header: | #include <Q3DWheelEvent>
qmake: | QT += 3dcore
Since: | Qt 5.5
Inherits: |

- List of all members, including inherited members

## Public Types

enum | Buttons { LeftButton, RightButton, MiddleButton, BackButton, NoButton }
enum | Modifiers { NoModifier, ShiftModifier, ControlModifier, AltModifier, MetaModifier, KeypadModifier }

## Properties

accepted : bool angleDelta : const QPoint buttons : const int | modifier : const Qt3D::Q3DWheelEvent::Modifiers x : const int y : const int

## Public Functions

| Q3DWheelEvent(const QWheelEvent & e)
| ~Q3DWheelEvent()
QPoint | angleDelta() const
int | buttons() const
bool | isAccepted() const
Modifiers | modifier() const
void | setAccepted(bool accepted)
QEvent::Type | type() const
int | x() const
int | y() const

## Detailed Description

The Qt3D::Q3DWheelEvent contains parameters that describe a mouse wheel event.

Mouse wheel events occur when the mouse is rotated.

See also Qt3D::Q3DKeyEvent, Qt3D::Q3DMouseEvent, and Qt3D::QMouseInput.

## Member Type Documentation

### enum Q3DWheelEvent::Buttons

### enum Q3DWheelEvent::Modifiers

## Property Documentation

### accepted : bool

Access functions:

bool | isAccepted() const
void | setAccepted(bool accepted)

### angleDelta : const QPoint

Access functions:

QPoint | angleDelta() const

### buttons : const int

Access functions:

int | buttons() const

### modifier : const Qt3D::Q3DWheelEvent::Modifiers

Access functions:

Modifiers | modifier() const

### x : const int

Access functions:

int | x() const

### y : const int

Access functions:

int | y() const

## Member Function Documentation

### Q3DWheelEvent::Q3DWheelEvent(const QWheelEvent & e)

Constructs a new Qt3D::Q3DWheelEvent instance from the QWheelEvent e.

### Q3DWheelEvent::~Q3DWheelEvent()

### QEvent::Type Q3DWheelEvent::type() const

Returns the QEvent::Type of the event.